import { r as registerInstance, h } from './index-b13326fc.js';
var ElementTextEditor = /** @class */ (function () {
    function ElementTextEditor(hostRef) {
        registerInstance(this, hostRef);
    }
    ElementTextEditor.prototype.prop = function (path, options) {
        if (options === void 0) { options = {}; }
        return this.handler.prop(path, Object.assign({}, options));
    };
    ElementTextEditor.prototype.render = function () {
        return [
            h("bce-input", Object.assign({}, this.prop('text', { localize: true }), { rows: 2, type: "textarea" })),
            h("slot", null)
        ];
    };
    return ElementTextEditor;
}());
export { ElementTextEditor as bce_element_text_editor };
